ASG-RD 2015 - Patch3
#1
Attention: There is a known issue when ugrading with local file environment and login by password - Upgrade will fail - please do not upgrade until Patch4 is available if you use that combination!


Patch3 of ASG-RD 2015 is available.

If you have already installed any ASG-RD 2015 version you need to close your application and then install the Patch3 version. You don't need to uninstall your old version.
Attention: Local files will be upgraded because of an migration bug in previous versions.

For Upgrade-Users (from version 2012):
If you want to migrate your data from 2012 version you can do inside a new environment in 2015 - so you could not connect to an old environment (as in the past) - you need to create a new environment and select "Environment=>Upgrade from 2012".


ASG-RD 2015 Patch3
ASG-RD 2015 Patch3 (incl. SQL EXpress)

The following ReleaseNotes describes the fixed issues and new features.


For any feedback you can use this sub forum or the main forum of ASG-RD.


Attached Files
.html   ReleaseNotes_DE.html (Size: 1.38 KB / Downloads: 93)
.html   ReleaseNotes_EN.html (Size: 1.15 KB / Downloads: 131)
Regards/Gruss
Oliver
Reply
#2
WOW...
after installing patch 3 , I have been requested to upgrade it...then nothing ...crash
fortunatelly I was able to downgrade the version to patch2
Reply
#3
Same by me... I've updated to Patch3, start the console and it asks me to upgrade my environment.
I clicked YES, short break - crash
Reply
#4
What encryption do you use? I would like to reproduce perhaps we didn't test all encryption methods?

If not perhaps anybody could send me the settings file so I can check asap what happens
Regards/Gruss
Oliver
Reply
#5
I'm using the recommended encryption by password.
To which email can I send you the settings file?
Reply
#6
Hi,

I've upgraded to Patch 3 and it worked for me.
Using password encryption - tested in XP and WIN7 32-bit.
Upgrade of environment took 1 sec and then I could log on.
But recognized, that the component check does not fit inside the windows and as it is also not scrollable,
it misses some info.
Reply
#7
same, I use also the standard encryption with a pwd at the startup;
so I will wait patch4
Reply
#8
@uheeb: Please send to asg.rd@asg.com
Regards/Gruss
Oliver
Reply
#9
We are migrating from ASG Remote Desktop 2012 and have installed both the the Patch2 and Patch3 versions of ASG Remote Desktop 2015. When migrating the data from our 2012 database into the ASG Remote Desktop 2015 database using the "Upgrade of 2012 environment", a large number of connections no longer pass the inherited credentials. We open the connection and are prompted for our windows credentials for various connections.

We've tried several things to try and resolve the issue:
- Ensured that the connections show they are inheriting our Personal credentials
- Tried creating new personal credentials and assigning those to the folder containing the connections
- Re-ran through the migration with a blank database after patch3 came out.

The only success we've had in eliminating the issue is documented below:
- Deleting and recreating the offending connections, which is prohibitive because we have so many connections. As soon as it's recreated, it inherits the credentials correctly
- Assigning our credentials at the "Personal Values" level of the connection and then removing it. After doing this it seems to reset the connection and it works.
- Exporting our connections to CSV and re-importing seems to fix it as well, but this is not ideal because we lose some of the one-off credentials that are assigned to some connections.

Any ideas on how to resolve this?

Sean
Reply
#10
I have installed Patch3 but I do not see hyper-v integration protocol. Where it is?

Thanks.
Reply
#11
It's not a new protocol - you can choose on a folder the Role "HyperV" - then you will be able to sync against an HyperV environment and use some of the funtions like "Pause, Start, ..." on the synced computers
Regards/Gruss
Oliver
Reply
#12
Sorry for the oversight. I have created a folder with hyper-v role. In folder properties, at "SCVMM Environment", I enter my VMM Server but it gives an error when synchronize.

I have instaled VMM console and I have Access to my VMM Server. I attach error screenshot.

Thanks for your help.

(11-02-2015, 12:09 PM)cheche Wrote: Sorry for the oversight. I have created a folder with hyper-v role. In folder properties, at "SCVMM Environment", I enter my VMM Server but it gives an error when synchronize.

I have instaled VMM console and I have Access to my VMM Server. I attach error screenshot.

Thanks for your help.

My SCVMM environment is "2008 R2 versión". Is this a ASG-RD 2015 version compatible?


Attached Files
.jpg   ScreenShot.JPG (Size: 64.97 KB / Downloads: 29)
Reply
#13
I've got the same issue (same error message). I've pointed ASG to my SCVMM server. We're on 2012 R2 over here.



(11-02-2015, 12:09 PM)cheche Wrote: Sorry for the oversight. I have created a folder with hyper-v role. In folder properties, at "SCVMM Environment", I enter my VMM Server but it gives an error when synchronize.

I have instaled VMM console and I have Access to my VMM Server. I attach error screenshot.

Thanks for your help.

(11-02-2015, 12:09 PM)cheche Wrote: Sorry for the oversight. I have created a folder with hyper-v role. In folder properties, at "SCVMM Environment", I enter my VMM Server but it gives an error when synchronize.

I have instaled VMM console and I have Access to my VMM Server. I attach error screenshot.

Thanks for your help.

My SCVMM environment is "2008 R2 versión". Is this a ASG-RD 2015 version compatible?
Reply
#14
Hi,

I've installed Patch 3 but I can't find the "Multi Edit" anymore (to adjust options for multiple connections at once). Have tried both selecting a root folder as well as selecting multiple connections, but none appears to show options to multi edit options. Am I overlooking something maybe?

Thanks!
Reply
#15
@SCVMM problems: The responsible developer is sick - 2012 R2 ist supported - 2008 versions I think not - we have to check what's going wrong - will answer when the developer is back...

@Ook: Yes, it's still missing - try to implement it back asap
Regards/Gruss
Oliver
Reply
#16
same here, upgraded to patch 3 with local password encryption and only a popup regarding that it needs to upgrade the data source.
If I cancel than the environment wizards shows up, but no luck at upgrading... Is there a fix for this?
Reply
#17
upgraded to patch 3 and after this upgrade the Active Directory syncronization is no longer working the error I receive is:
at PlugInSync.Helper.SyncHelper.CreateADSourceStructureList(ActiveDirectoryProperties props, List`1& syncList)
Reply
#18
@2hit: Its already fixed - but I try to solve an database issue too with the next version - but the patch will be published in the next days

@calimana: Any additional error logs? Do you use it from UI or via command line?
Regards/Gruss
Oliver
Reply
#19
from UI is not workinag at all and from command line i receive the error mentioned

same error in ASG app error log

and from windows event viewer:
Application: ASGRD.exe
Framework Version: v4.0.30319
Description: The process was terminated due to an unhandled exception.
Exception Info: System.NullReferenceException
Stack:
at CloudAdminCommon.Access.DataAccessor.GetDefaultConnectionPropertiesFromType(System.Type)
at CloudAdminCommon.Helper.PropertiesHelper.GetPropertyObjectFromList(System.Collections.Generic.List`1<System.Object>, System.Type)
at PlugInSync.PlugInSync.SyncSilent(System.String, System.Guid)
at CloudAdminCommon.Access.PlugInAccessor.SyncSilent(System.Guid, System.String)
at CloudAdminConsole.Program.Main(System.String[])

and

Error reading from Active Directory. Sync aborted.

---------------------------

at PlugInSync.Helper.SyncHelper.CreateADSourceStructureList(ActiveDirectoryProperties props, List`1& syncList)
Reply
#20
Thanks - that's the info I needed... I will check
Regards/Gruss
Oliver
Reply




Users browsing this thread: 1 Guest(s)